Bug 1532272 - Catalog dynamic element entry point selection is cached and does not allow selection
Summary: Catalog dynamic element entry point selection is cached and does not allow se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-01-08 14:38 UTC by Aaron Bradshaw
Modified: 2018-06-25 14:17 UTC (History)
12 users (show)

Fixed In Version: 5.8.4.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 14:17:08 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Dynamic path (118.80 KB, image/png)
2018-05-10 18:27 UTC, Shveta
no flags Details
path (118.11 KB, image/png)
2018-05-10 18:27 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17:52 UTC

Description Aaron Bradshaw 2018-01-08 14:38:14 UTC
Description of problem:

When editing multiple dynamic element entry points in a dialog once the entry point is selected for one item, going to the next item unable to select the entry point as it is already selected in UI and apply is grayed out.

Version-Release number of selected component (if applicable):
5.8.2

How reproducible:
Highly

Steps to Reproduce:
1. Select dynamic element
2. Select new entry point
3. Hit apply
4. Select another dynamic element
5. Attempt to select the same entry point, it will already be selected, and apply will be grayed out
6. Select another entry point then the original intended entry point and you can hit apply

Actual results:
New entry point selected in previous element cached, shows incorrect selection, and unable to select and hit apply for next element.

Expected results:
Allow to select new entry point

Additional info:

Comment 2 Lynn Dixon 2018-01-09 20:13:02 UTC
Linked Support Case to this BZ.

Comment 4 eclarizi 2018-03-06 17:05:24 UTC
This does not appear to be an issue in the new editor.

Shveta, can you test on 5.9.z and verify my findings?

Comment 5 Shveta 2018-03-09 17:05:12 UTC
Not an issue in 5.9.0.22.20180221205805_f93a675

Comment 9 Harpreet Kataria 2018-04-12 18:59:11 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/3766

Comment 10 CFME Bot 2018-04-16 13:52:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/6cb8286aa4a3258e0d5472006f1d7f7ab09297a1
commit 6cb8286aa4a3258e0d5472006f1d7f7ab09297a1
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Apr 12 14:55:37 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Apr 12 14:55:37 2018 -0400

    Reset field_entry_point when new field is added.

    This fixes an issue, when adding new field and setting that to be a dynamic field it was showing pre-filled value in entry point text box from the previous field and was not enabling "Apply" button on the entry point dialog pop up.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1532272

 app/controllers/miq_ae_customization_controller/dialogs.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 12 Shveta 2018-05-10 18:27:23 UTC
Created attachment 1434508 [details]
Dynamic path

This is still not fixed in 5.8.4.2.20180424224202_be9b69f.
Appliance : https://10.8.199.206/
Edit dialog :dynamic_refresh.
Edit location entry point .Select Location in path.
Now edit Peek and click on entry point .
Location will be selected and Apply is greyed out .

If you want to select the same path "location" again .
Click on any other entry point like "peek" and then location again and now the "Apply " button is enabled.

Comment 13 Shveta 2018-05-10 18:27:46 UTC
Created attachment 1434509 [details]
path

Comment 16 CFME Bot 2018-05-14 13:42:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/35ff6558614af2fdea8935149da0eb15ccd22162
commit 35ff6558614af2fdea8935149da0eb15ccd22162
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri May 11 17:23:12 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri May 11 17:23:12 2018 -0400

    Follow up fix to address another condition

    Original fix was made in https://github.com/ManageIQ/manageiq-ui-classic/pull/3766

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1532272

 app/controllers/miq_ae_customization_controller/dialogs.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 17 Shveta 2018-05-18 17:35:07 UTC
Fixed in 5.8.4.3.20180515170411_29cc195.
No path is selected in entry point by default now.

Comment 19 errata-xmlrpc 2018-06-25 14:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.